%global commit0 a7182d8034344f1ac3d8f433d75564a33abe3962
%global shortcommit0 %(c=%{commit0}; echo ${c:0:7}) 

%global varnishver %(pkg-config --silence-errors --modversion varnishapi || echo 0)

%global varnishname varnish

Name: vmod-memcached
Summary: Varnish module to access memcached servers from VCL
Version: 1.0.2
Release: 0.1.20220920gita7182d8%{?dist}
License: BSD
Group: System Environment/Daemons
URL: https://github.com/varnish/libvmod-memcached
Source0: %{url}/archive/%{commit0}/%{name}-%{shortcommit0}.tar.gz
Requires: varnish%{?_isa} = %varnishver

BuildRequires: make
BuildRequires: gcc
BuildRequires: pkgconfig
BuildRequires: memcached
BuildRequires: libmemcached-devel
BuildRequires: varnish
BuildRequires: varnish%{?vplus}-devel
BuildRequires: cyrus-sasl-devel
BuildRequires: lsof

# When building from git checkout
buildrequires: autoconf
buildrequires: automake
buildrequires: libtool
buildrequires: python-docutils

%description
Varnish module to access memcached servers from VCL

%prep
%autosetup -n lib%{name}-%{commit0}

%build
#export RST2MAN=/bin/true
./autogen.sh
%configure \
  --docdir=%{?_pkgdocdir}%{!?_pkgdocdir:%{_docdir}/%{name}-%{version}}

# We have to remove rpath - not allowed in Fedora
# (This problem only visible on 64 bit arches)
sed -i 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g;
        s|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' libtool

#make_build
make


%check
#make_build check
make check


%install
%make_install
#make install DESTDIR=#{buildroot}
# None of these for fedora/epel
find %{buildroot}/%{_libdir}/ -name '*.la' -exec rm -f {} ';'
find %{buildroot}/%{_libdir}/ -name  '*.a' -exec rm -f {} ';'

# Include this explicitly below
#rm %{buildroot}%{_docdir}/%{name}*/LICENSE
rm %{buildroot}%{_pkgdocdir}/LICENSE


%clean
rm -rf %{buildroot}


%files
%{_libdir}/varnish*/vmods/
%license LICENSE
%doc CHANGES.rst README.rst COPYING
%{_mandir}/man3/*.3*

%changelog
* Tue Sep 20 2022 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.2-0.1
- Fresh checkout from git
- Rebuilt against varnish-6.0.10

* Mon Nov 18 2019 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-4
- Rebuilt against varnish-6.0.5

* Thu Oct 11 2018 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-3
- Rebuilt against varnish-6.0.2

* Thu Oct 11 2018 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-2
- Rebuilt against varnish-6.0.1

* Wed Aug 08 2018 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-1
- New upstream release
- Rebuilt for varnish-6.0.0

* Wed Nov 15 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.6
- Pulled el5 support
- Added missing CHANGES.rst to the build

* Wed Nov 15 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.5
- Rebuilt against varnish-plus-4.1.8r2

* Wed Oct 25 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.4
- Rebuilt against varnish-plus-4.1.8r1

* Wed Aug 23 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.2.20170113git1293b0f
- Rebuild latest checkout against varnish-4.1.8

* Fri Jan 13 2017 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.1-0.1.20170113gitb2693e3
- Rebuild latest checkout against varnish-plus-4.1.4

* Wed Dec 07 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.0-2
- Rebuild for varnish-4.1.1

* Tue Sep 13 2016 Ingvar Hagelund <ingvar@redpill-linpro.com> - 1.0.0-1
- Wrap for fedora/epel/copr

